<div class="header-section">
    <h3>User Registration</h3>
    <button mat-icon-button (click)="closeUserDialog()">
        <mat-icon>close</mat-icon>
    </button>
</div>
<div class="body-section" [formGroup]="registerFormGroup">
    <div class="inline-field">
        <mat-form-field appearance="outline">
            <mat-label>User Name</mat-label>
            <input matInput id="userName" placeholder="User Name" formControlName="userName">
            <mat-error *ngIf="registerFormGroup.get('userName')?.hasError('required')">This field is required.
            </mat-error>
        </mat-form-field>
    </div>
    <div class="inline-field inline-field--left">
        <mat-form-field appearance="outline">
            <mat-label>First Name</mat-label>
            <input matInput id="firstName" placeholder="First Name" formControlName="firstName">
            <mat-error *ngIf="registerFormGroup.get('firstName')?.hasError('required')">This field is required.
            </mat-error>
        </mat-form-field>
    </div>
    <div class="inline-field inline-field">
        <mat-form-field appearance="outline">
            <mat-label>Last Name</mat-label>
            <input matInput id="lastName" placeholder="Last Name" formControlName="lastName">
            <mat-error *ngIf="registerFormGroup.get('lastName')?.hasError('required')">This field is required.
            </mat-error>
        </mat-form-field>
    </div>
    <div class="inline-field inline-field--left">
        <mat-form-field appearance="outline">
            <mat-label>Middle Name</mat-label>
            <input matInput id="middleName" placeholder="Middle Name" formControlName="middleName">
        </mat-form-field>
    </div>
    <div class="inline-field inline-field">
        <mat-form-field appearance="outline">
            <mat-label>User Email</mat-label>
            <input matInput id="userEmail" placeholder="User Email" formControlName="userEmail">
            <span matSuffix>@cyberwolf.com</span>
            <mat-error *ngIf="registerFormGroup.get('userEmail')?.hasError('required')">This field is required.
            </mat-error>
        </mat-form-field>
    </div>
    <div class="inline-field inline-field--left">
        <mat-form-field appearance="outline">
            <mat-label>Password</mat-label>
            <input matInput type="password" id="password" placeholder="Password" formControlName="password">
            <mat-error *ngIf="registerFormGroup.get('password')?.hasError('required')">This field is required.
            </mat-error>
        </mat-form-field>
    </div>
    <div class="inline-field inline-field">
        <mat-form-field appearance="outline">
            <mat-label>Contact</mat-label>
            <input matInput id="contact" placeholder="Contact" formControlName="contact">
            <mat-error *ngIf="registerFormGroup.get('contact')?.hasError('required')">This field is required.
            </mat-error>
        </mat-form-field>
    </div>
    <div class="inline-field inline-field--left">
        <mat-form-field appearance="outline">
            <mat-label>NIC</mat-label>
            <input matInput id="nic" placeholder="NIC" formControlName="nic">
            <mat-error *ngIf="registerFormGroup.get('nic')?.hasError('required')">This field is required.
            </mat-error>
        </mat-form-field>
    </div>
    <div class="full-width-field">
        <mat-form-field appearance="outline">
            <mat-label>Address</mat-label>
            <textarea matInput id="userAddress" placeholder="Address" rows="3" formControlName="userAddress"></textarea>
            <mat-error *ngIf="registerFormGroup.get('userAddress')?.hasError('required')">This field is required.
            </mat-error>
        </mat-form-field>
    </div>
    <div class="inline-field">
        <mat-form-field appearance="outline">
            <mat-label>Passport</mat-label>
            <input matInput id="passportId" placeholder="Passport" formControlName="passportId">
        </mat-form-field>
    </div>
</div>

<div class="action-section">
    <button mat-raised-button color="warn" [disabled]="registerFormGroup.invalid" (click)="proceedUserRegister()">Register User</button>
</div>